/* AppComponent's private CSS styles */
h1 {
  font-size: 1.2em;
  color: #999;
  margin-bottom: 0;
}
h2 {
  font-size: 2em;
  margin-top: 0;
  padding-top: 0;
}
nav a {
  padding: 5px 10px;
  text-decoration: none;
  margin-top: 10px;
  display: inline-block;
  background-color: #eee;
  border-radius: 4px;
}
nav a:visited, a:link {
  color: #607D8B;
}
nav a:hover {
  color: #4c6561;
  background-color: #CFD8DC;
}
nav a.active {
  color: #4c6561;
}


:host /deep/ {
  /* icon */
  .fa {
      font-size: 20px;
      //padding-top: 20px;
    }
    
    .fa-trash, .mat-icons-add {
      cursor: pointer;
    }

   .zmdi {
    font-size: 20px;
   }

   .mat-icons-add {
    color: #42a5f5
   }

  .icon-toolbar {
    font-size: 20px;
    padding-right: 10px;
  }

  a.icon {
    border: none;
    border-radius: 100%;
    height: 40px;
    width: 40px;
    display: inline-block;
    line-height: 37px;
    font-size: 22px;

    &:hover {
      background: #688696;
      color: #fff;
    }
  }

  /* button */
  .btn.btn-info.btn-fab.mat-ripple {
    position: fixed;
    bottom: 5%;
    right: 2%;
  }
  .width-button {
    width: 130px;
  }

  /* content */
  .header-content {
    padding-right: 10px
  }

  input, p, span, textarea {
    font-size: 0.96em;
  }

  label {
    font-size: 0.96em;
    color: #536072 !important;
    font-weight: 600;
    text-transform: unset;
    text-align: right;
    padding: 0px 0px 0px 0px !important;
  }
  .mat-input-placeholder {
    color: #536072 !important;
    font-size: 0.96em !important;
  }

  mat-option {
    .mat-option-text {
      font-size: 0.96em !important;
    }
  }
  

  .p-t-label {
    padding-top: 18px;
  }
  .p-t-18 {
    padding-top: 18px;
  }
  .p-r-0 {
    padding-right: 0px;
  }

  .style-search {
    margin: 0px 0px 0px 0px;
    padding: 20px 0px 0px 0px;
    background-color: #e3ecf7;
  }
  /* table */
  .table {
    font-size: 0.96em;
  }
  mat-checkbox {
    .mat-checkbox-layout {
      margin-bottom: 5px !important;
    }
  }
  .table thead th {
    border-top: 0px;
  }
  .table td,
  .table th {
    border-bottom: 1px solid #e9ecef;
    padding-left: 0px;
    vertical-align: middle;
  }

  /*pagine*/
  .page-link {
    border: 0px;
  }
  .page-item.active .page-link {
    background-color: lightgrey;
  }

}

/* style disable drp */
::ng-deep .mat-select-disabled .mat-select-value {
  color: rgba(0, 0, 0, 0.38) !important;
}

/* style dropdown */
::ng-deep .mat-option-text {
  font-size: 0.96em !important;
}

/* style text box */
::ng-deep .mat-input-element {
  caret-color: unset !important;
}

/* style modal */
::ng-deep .modal-header {
  font-size: 1.2rem !important;
  .fa-times {
    cursor: pointer;
  }
}

::ng-deep .swal2-modal .swal2-confirm {
  background-color: rgb(48, 133, 214) !important;
}

::ng-deep .modal-body {
  overflow-y: scroll;
  label {
    font-weight: 600 !important;
  }
  .mat-select {
    border-bottom: grey 1px solid;
  }
  .mat-input-element {
    border-bottom: lightgrey 1px solid;
    caret-color: lightgrey !important;
  }
  .mat-input-element:focus {
    border-bottom: #42a5f5 1px solid;
  }
  
  .table thead th {
    border-top: 0px;
  }
  .table td,
  .table th {
    border-bottom: 1px solid #e9ecef;
    padding-left: 0px;
    vertical-align: middle;
  }
  .mat-icons-add {
    color: #42a5f5;
  }  
  a.icon {
    border: none;
    border-radius: 100%;
    height: 40px;
    width: 40px;
    display: inline-block;
    line-height: 37px;
    font-size: 22px;

    &:hover {
      background: #688696;
      color: #fff;
    }
  }
}

::ng-deep .modal-lg {
  min-width: 800px;
}

